package com.gihon.permission.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 17时
 **/
@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
@TableName(value = "tb_permission")
public class Permission implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    private String name;
    private String url;
    //父ID ，
    private String parentId;
    //权限字符串
    private String permission;

}
