package com.gihon.role.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gihon.role.entity.Role;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 16时
 **/
@Mapper
public interface RoleMapper extends BaseMapper<Role> {
    /**
     * 处理内容：
     * @param id 用户id
     * @return 角色集合
     */

    @Select("")
    public List<Role> listFindRoles(@Param("id") String id);

    List<Role> selectPermissionByRoleId(Long id);
}
