package com.gihon.role.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 17时
 **/

@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
@TableName(value = "common_security.tb_user_role")
@Builder
public class Role  implements Serializable{
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Long id;
    @TableField("name")
    private String name;


    public Role(Long id, String rolename) {
        this.id = id;
        this.name = rolename;
    }

}
