package com.gihon.common.exception;

import com.gihon.common.web.response.ResponseStatus;

/**
 * 基本业务异常
 * @author edz
 *
 */
public class BusinessException extends BaseException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3469609789490525053L;
	
	public BusinessException(String message) {
		super(message);
	}
	public BusinessException(ResponseStatus status) {
		this(status.getDesc());
		this.status=status;
	}
	public ResponseStatus getStatus() {
		return status==null?ResponseStatus.BUSINESS_ERROR:status;
	}
}
